#ifndef SRCOMM3_AnsiBuffer_h
#define SRCOMM3_AnsiBuffer_h

#include <srcomm3/Ansi.h>

class AnsiBuffer: public AnsiOutput
{
    unsigned short * buffer_;
    int x_, y_, attr_, height_, width_;

    virtual void gotoxy( int x, int y );
    virtual void clreol();
    virtual void clrscr( int y1 = -1, int y2 = -1 );
    virtual void setattr( int a );
    virtual int whereX();
    virtual int whereY();
    virtual void beep();
    virtual void putchar( char c );
    virtual int currentcolor();

  public:
    AnsiBuffer( int height, int width );
	~AnsiBuffer();

    virtual int width();
    virtual int height();
    unsigned short * buffer() { return buffer_; }
};

#endif

