#ifndef SRCOMM3_DESQview_h
#define SRCOMM3_DESQview_h

// Returns version number, major in high byte, minor in low byte
// (returns 0 if the program isn't found)
unsigned DetectDESQview();
unsigned DetectMWindows();

/* These are available, but they don't need to be used because
   the generic functions will automatically do these for you.

	void DESQviewTimeSlice();
	void MWindowsTimeSlice();

	void DESQviewBeginCritical();
	void MWindowsBeginCritical();
	void DESQviewEndCritical();
	void MWindowsEndCritical();
*/

void TimeSlice();
void TimedDelay( unsigned milliseconds );
void BeginCritical();
void EndCritical();

void DisableMultitasker();
void EnableMultitasker();

#endif

