#ifndef StrUtl_h
#define StrUtl_h

// Utility functions - conversion from num->str and str->num
string CC str( int x );
string CC str( long x );
string CC strcomma( long x, int usecomma = 1 );
long CC val( string s );
long numround( long n, int len );

// Case-insensitive comparison of two strings
int CC eq ( const string& a, const string& b );
int CC eq ( const string& a, const char* b );

// Substring searches
int CC pos ( char a, const string& b, int start = 0 );
int CC pos ( char a, const char* b, int start = 0 );
int CC pos ( string a, const string& b, int start = 0 );
int CC pos ( string a, const char* b, int start = 0 );

#endif
